| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreImageResampler.h File Reference
`#include <algorithm>`

## Classes
struct | Ogre::LinearResampler
struct | Ogre::LinearResampler_Byte< channels >
struct | Ogre::LinearResampler_Float32
struct | Ogre::NearestResampler< elemsize >

## Namespaces
| Ogre

## Macros
#define | ACCUM3(x, y, z, factor)
#define | ACCUM4(x, y, z, factor)
#define | UNPACK(dst, x, y, z)

## Macro Definition Documentation

## ◆ UNPACK

#define UNPACK | ( |  | dst,
|  |  | x,
|  |  | y,
|  |  | z
| ) |  |

Value:
PixelUtil::unpackColour(&dst, src.format, \
srcdata + srcelemsize*((x)+(y)*src.rowPitch+(z)*src.slicePitch))

Referenced by Ogre::LinearResampler::scale().

## ◆ ACCUM3

#define ACCUM3 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | factor
| ) |  |

Value:
{ float f = factor; \
size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
accum[2]+=srcdata[off+2]*f; }

Referenced by Ogre::LinearResampler_Float32::scale().

## ◆ ACCUM4

#define ACCUM4 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | factor
| ) |  |

Value:
{ float f = factor; \
size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
accum[2]+=srcdata[off+2]*f; accum[3]+=srcdata[off+3]*f; }

Referenced by Ogre::LinearResampler_Float32::scale().